@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('/gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">
    <!-- bootstrap-wysiwyg -->
    <link href="{{asset('/gentelella/vendors/google-code-prettify/bin/prettify.min.css')}}" rel="stylesheet">
    <!-- Select2 -->
    <link href="{{asset('/gentelella/vendors/select2/dist/css/select2.min.css')}}" rel="stylesheet">
    <!-- Switchery -->
    <link href="{{asset('/gentelella/vendors/switchery/dist/switchery.min.css')}}" rel="stylesheet">
    <!-- starrr -->
    <link href="{{asset('/gentelella/vendors/starrr/dist/starrr.css')}}" rel="stylesheet">
    <!-- bootstrap-daterangepicker -->
    <link href="{{asset('/gentelella/vendors/bootstrap-daterangepicker/daterangepicker.css')}}" rel="stylesheet">

    <!-- 开发环境版本，包含了有帮助的命令行警告 -->
    {{--    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>--}}
    <script src="{{asset('/js/vue.js')}}"></script>


@endsection
@section('foot_script')
    @parent
    <!-- bootstrap-progressbar -->
    <script href="{{asset('/gentelella/vendors/bootstrap-progressbar/bootstrap-progressbar.min.js')}}"></script>
    <!-- iCheck -->
    <script href="{{asset('/gentelella/vendors/iCheck/icheck.min.js')}}"></script>
    <!-- bootstrap-daterangepicker -->
    <script href="{{asset('/gentelella/vendors/moment/min/moment.min.js')}}"></script>
    <script href="{{asset('/gentelella/vendors/bootstrap-daterangepicker/daterangepicker.js')}}"></script>
    <!-- bootstrap-wysiwyg -->
    <script href="{{asset('/gentelella/vendors/bootstrap-wysiwyg/js/bootstrap-wysiwyg.min.js')}}"></script>
    <script href="{{asset('/gentelella/vendors/jquery.hotkeys/jquery.hotkeys.js')}}"></script>
    <script href="{{asset('/gentelella/vendors/google-code-prettify/src/prettify.js')}}"></script>
    <!-- jQuery Tags Input -->
    <script href="{{asset('/gentelella/vendors/jquery.tagsinput/src/jquery.tagsinput.js')}}"></script>
    <!-- Switchery -->
    <script href="{{asset('/gentelella/vendors/switchery/dist/switchery.min.js')}}"></script>
    <!-- Select2 -->
    <script href="{{asset('/gentelella/vendors/select2/dist/js/select2.full.min.js')}}"></script>
    <!-- Parsley -->
    <script href="{{asset('/gentelella/vendors/parsleyjs/dist/parsley.min.js')}}"></script>
    <!-- Autosize -->
    <script href="{{asset('/gentelella/vendors/autosize/dist/autosize.min.js')}}"></script>
    <!-- jQuery autocomplete -->
    <script href="{{asset('/gentelella/vendors/devbridge-autocomplete/dist/jquery.autocomplete.min.js')}}"></script>
    <!-- starrr -->
    <script href="{{asset('/gentelella/vendors/starrr/dist/starrr.js')}}"></script>
@endsection

@section('content')
    <div class="col-md-6 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                {{--通讯设备类型区分是采集器、中继，还是集中器1.集中器，2中继，3采集器--}}
                {{--<h2>[采集器] [中继器] [集中器]</h2>--}}

                <h2>  @isset($equioModel)
                        修改通讯设备信息
                    @else
                        新增通讯设备信息
                    @endisset
                    <small>
                        @if($ComEquipType == 1)
                            [集中器]
                        @endif
                        @if($ComEquipType == 2)
                            [中继器]
                        @endif
                        @if($ComEquipType == 3)
                            [采集器]
                        @endif
                    </small>
                </h2>


                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <br/>
                <form action='/production/communicationsEquipment/modify/save' method="get" class="form-horizontal form-label-left">
                    @isset($equioModel)
                        <input hidden id="ComEquipID" name="ComEquipID" value="{{$equioModel->ComEquipID}}">
                    @endisset
                    <input hidden id="ComEquipType" name="ComEquipType" value="{{$ComEquipType}}">
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">能耗类型</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            {{--能耗类型1水；2电--}}
                            <select onchange="getTreeParent();" name="EnergyType" id="EnergyType" class="form-control">
                                <option value="1">水</option>
                                <option value="2">电</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">所属学校</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">

                            <select onchange="getTreeParent();" name="DistrictID" id="DistrictID" class="form-control">
                                @foreach($districtAllModel as $item)
                                    <option value="{{$item->DistrictID}}">{{$item->FullName}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">所属上级</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">


                            <select name="ParentID" id="ParentID" class="form-control">
                                {{--{{dd($RelayParent)}}--}}
                                {{--@foreach($RelayParent as $item)--}}
                                    {{--<option value="{{$item['ComEquipID']}}"> {{$item['title']}} -- 挂载 {{$item['childCount'] or  ''}}</option>--}}
                                {{--@endforeach--}}
                                <option v-for="item in items" v-bind:value="item['ComEquipID']"  >
                                    @{{item['title']}}
                                </option>

                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">通讯编号</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <input required="required" name="ComCode" value="{{$equioModel->ComCode or  ''}}" type="number" id="autocomplete-custom-append"
                                   data-validate-minmax="0,20" class="form-control col-md-10"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">图纸编号</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <input required="required" name="DrawingsCode" value="{{$equioModel->DrawingsCode or  ''}}" type="text" id="autocomplete-custom-append"
                                   class="form-control col-md-10"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">硬件编号</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <input required="required"  name="HardwareCode" value="{{$equioModel->HardwareCode or  ''}}" type="text" id="autocomplete-custom-append"
                                   class="form-control col-md-10"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">安装位置</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <input required="required" name="ComEquipAddress" value="{{$equioModel->ComEquipAddress or  ''}}" type="text" id="autocomplete-custom-append"
                                   class="form-control col-md-10"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">状态 </label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <select name="ComEquipState" id="ComEquipState" class="select2_single form-control"
                                    tabindex="-1">
                                {{--校区记录状态(1.激活；2新增，3停用，9删除)--}}
                                <option value="1">新增</option>
                                <option value="2">激活</option>
                                <option value="3">停用</option>
                                <option value="9">删除</option>
                            </select>
                        </div>
                    </div>


                    <div class="ln_solid"></div>
                    <div class="form-group">
                        <div class="col-md-9 col-sm-9 col-xs-12 col-md-offset-3">
                            <button type="submit" class="btn btn-primary">保存</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>



@endsection
@section('foot_script_run')

        <script>
            
            @isset($equioModel)
            $("#EnergyType").val("{{$equioModel->EnergyType}}");
            $("#DistrictID").val("{{$equioModel->DistrictID}}");
            
            $("#ParentID").val("{{$equioModel->ParentID}}");
            $("#ComEquipState").val("{{$equioModel->ComEquipState}}");
            @endisset
            var index = 0;
            function setDefaultTree() {
               if (index == 0){
                   @isset($equioModel)
                   $("#ParentID").val("{{$equioModel->ParentID}}");
                   @endisset
               }
                index++;

            }
        </script>

    <script>
        var app_ParentID = new Vue({
            el: '#ParentID',
            data: {
                items: ''
            }
        })
        function  getTreeParent() {
            // //EnergyType 能耗类型1水；2电
            // $EnergyType = $request->input('EnergyType','');
            // //校区
            // $DistrictID = $request->input('DistrictID','');
            // //那个设备ID下的树图
            // $ComEquipID = $request->input('ComEquipID','');
            // //设备能耗类型
            // $ComEquipType = $request->input('ComEquipType','');
            var  EnergyType = $('#EnergyType').val();
            var  DistrictID = $('#DistrictID').val();
            var  ComEquipID = '{{$equioModel->ComEquipID or ''}}';
            var  ComEquipType = $('#ComEquipType').val();

            $.getJSON("/production/communicationsEquipment/getTreeParent?EnergyType="+EnergyType+'&DistrictID='+DistrictID+'&ComEquipID='+ComEquipID+'&ComEquipType='+ComEquipType,function(data,status){
               console.log(data);
                // alert("Data: " + data + "\nStatus: " + status);
                app_ParentID.items = data ;

                setTimeout('setDefaultTree()',300);
            });
            console.log('getTreeParent'+EnergyType+DistrictID+ComEquipID+ComEquipType);
        }
        getTreeParent();
    </script>
@endsection