{{--等级计量表--}}
@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">
    <!-- bootstrap-daterangepicker -->
    <link href=".{{asset('gentelella/vendors/bootstrap-daterangepicker/daterangepicker.css')}}" rel="stylesheet">

    <!-- 时间控件 -->
    <link href="{{asset('/bootstrap/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css')}}" rel="stylesheet">
    <script src="{{asset('/bootstrap/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js')}}"></script>
    <script type="text/javascript"
            src="{{asset('/bootstrap/bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.zh-CN.js')}}"
            charset="UTF-8"></script>

    <!-- 开发环境版本，包含了有帮助的命令行警告 -->
    {{--    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>--}}
    <script src="{{asset('/js/vue.js')}}"></script>


@endsection
@section('foot_script')
    @parent
    <!-- iCheck -->
    <script src="{{asset('./gentelella/vendors/iCheck/icheck.min.js')}}"></script>
    <!-- bootstrap-daterangepicker -->
    <script src="{{asset('gentelella/vendors/moment/min/moment.min.js')}}"></script>
    <script src="{{asset('gentelella/vendors/bootstrap-daterangepicker/daterangepicker.js')}}"></script>

    <style type="text/css">
        #function li a {
            color: #0D3349 !important;

        }

    </style>
    <script>
        /**初始化时间控件*/
        var datetime_option = {
            language: 'zh-CN',
            autoclose: 1,
            startView: 2,
            minView: 2,
            format: 'yyyy-mm-dd'
        };
        $('#datetimepicker_StartTime').datetimepicker(datetime_option);
        $('#datetimepicker_EndTime').datetimepicker(datetime_option);

    </script>
@endsection
@section('content')
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    <h2> 等级计量表
                        {{--<small>上海海事大学</small>--}}
                    </h2>
                    <div class="clearfix">

                    </div>
                    <div class="col-md-12 col-sm-12 col-xs-12 form-group   top_search">
                        <form action="?" method="get">
                            <div class="row">
                                <div class="col-md-2 col-sm-2 col-xs-12  ">
                                    <select onchange="DistrictChange();" name="DistrictID" id="DistrictID"
                                            class="form-control ">
                                        <option value="">请选择校区</option>
                                        @foreach($districtAllModel as $item)
                                            <option value="{{$item->DistrictID}}">{{$item->FullName}}</option>
                                        @endforeach
                                    </select>
                                </div>

                                <div class="col-md-2 col-sm-2 col-xs-12  ">
                                    <select onchange="" name="EnergyType" id="EnergyType" class="form-control ">
                                        <option value="">请选择能耗类型</option>
                                        <option value="1">水</option>
                                        <option value="2">电</option>
                                    </select>
                                </div>

                                <div class="col-md-3 col-sm-3 col-xs-12 ">
                                    <div class="input-group">
                                        <h5 class="input-group-addon">开始时间</h5>
                                        <input name="StartTime" class="form-control" id="datetimepicker_StartTime"
                                               size="16"
                                               type="text"
                                               value="{{ $StartTime or date('Y-m-d',strtotime("-15 day")) }}" readonly>
                                    </div>
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-12 ">
                                    <div class="input-group">
                                        <h5 class="input-group-addon">结束时间</h5>
                                        <input name="EndTime" class="form-control" id="datetimepicker_EndTime"
                                               size="16"
                                               type="text"
                                               value="{{ $EndTime or date('Y-m-d') }}" readonly>
                                    </div>
                                </div>
                                <div class="col-md-2 col-sm-3 col-xs-12 form-inline ">
                                    <button class="btn btn-default" type="submit">查询</button>
                                    <button class="btn btn-default" onclick="exportClick();" type="button">导出</button>
                                </div>
                                {{--<div class="col-md-4 col-sm-4 col-xs-12 form-group  top_search">--}}
                                {{--<div class="input-group">--}}
                                {{--<input value="{{$search_name or ''}}" name="search_name"--}}
                                {{--type="text" class="form-control" placeholder="请输入名称">--}}

                                {{--<span class="input-group-btn">--}}
                                {{--<button class="btn btn-default" type="submit">搜索</button>--}}
                                {{--</span>--}}


                                {{--</div>--}}
                                {{--</div>--}}
                            </div>
                        </form>

                    </div>
                    <div class="clearfix">

                    </div>
                </div>

                <div class="x_content">


                    <div class="table-responsive">
                        <table class="table table-striped jambo_table bulk_action">

                            <thead>
                            <tr class="headings">

                                <th   style="text-align: center;" data-valign="middle"
                                    data-align="center">表等级
                                </th>
                                <th   style="text-align: center;" data-valign="middle"
                                    data-align="center">图纸编号
                                </th>
                                <th  style="text-align: center;" data-valign="middle"
                                    data-align="center">表名
                                </th>

                                <th style="text-align: center;" data-valign="middle" data-align="center">
                                    消耗量
                                </th>
                                <th style="text-align: center;" data-valign="middle" data-align="center">
                                    计量率
                                </th>
                                <th style="text-align: center;" data-valign="middle" data-align="center">
                                    备注
                                </th>

                            </thead>

                            <tbody>
                            @foreach($allMeters as $index=>$item)

                                <tr class="even pointer" id="" style="text-align: center;">
                                    {{--{{dd($item)}}--}}
                                    <td class=" ">{{$item->Level}}</td>
                                    <td class=" ">{{$item->DrawingsCode}}</td>
                                    <td class=" " style="min-width:200px;">{{$item->MeterName}}</td>
                                    <td class=" " style="">{{$item->Wastage}}</td>

                                    <td class=" " style="">{{$item->Rates}}%</td>
                                    <td class=" " style=""></td>
                                </tr>

                            @endforeach
                            </tbody>
                            <tfoot>
                            <tr>

                            </tr>

                            </tfoot>
                        </table>
                    </div>

                    {{--{{ $list->links() }}--}}
                </div>
            </div>
        </div>
    </div>
    <script>

        function selected_Modify() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var MeterID = select.attr('id');
                {{--href="/production/communicationsEquipment/modify?action=modify&ComEquipID={{''}}"--}}
                $(location).attr('href', $(location).attr('pathname') + '/modify/' + MeterID);

            }
        }

        function selected_info() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var MeterID = select.attr('id');
                $(location).attr('href', $(location).attr('pathname') + '/info?MeterID=' + MeterID);

            }
        }

        function selected_delete() {
            var select = $('.even.pointer.selected');
            if (select.length != 1) {
                alert('请选中一个修改');
            } else {
                var MeterID = select.attr('id');
                $(location).attr('href', $(location).attr('pathname') + '/delete/' + MeterID);


            }
        }

        function selected_add(type) {
            // href="/production/communicationsEquipment/modify?action=add&ComEquipType=3"
            $(location).attr('href', $(location).attr('pathname') + '/modify/' + type);
        }
    </script>

@endsection
@section('foot_script_run')

    <script>
        console.log({{$DistrictID}});
        $("#DistrictID").val("{{$DistrictID or ''}}");

        $("#EnergyType").val("{{$EnergyType or ''}}");
        $("#price").val("{{$price or ''}}");

        function exportClick() {
            var DistrictID = $("#DistrictID").val();
            var DeptID = $("#DeptID").val();
            var EnergyType = $("#EnergyType").val();
            var price = $("#price").val();
            $(location).attr('href', '?DeptID=' + DeptID + '&price=' + price + '&EnergyType=' + EnergyType + '&action=export&DistrictID=' + DistrictID + '&StartTime=' + $('#datetimepicker_StartTime').val());
        }

        var app_DeptID = new Vue({
            el: '#DeptID',
            data: {
                info: null
            }
        })

        function DistrictChange() {
            var DistrictID = $("#DistrictID").val();
            var requestData = {
                DistrictID: DistrictID,
                action: 'Dept'
            }
            $.getJSON('?', requestData, function (data) {
                app_DeptID.info = data;
                setTimeout(function () {
                    $("#DeptID").val("{{$DeptID or ''}}");
                }, 200);

            })
        }

        // DistrictChange();
    </script>

@endsection