@extends('console.console_master')
@section('head_stylesheet')
    @parent
    <!-- iCheck -->
    <link href="{{asset('/gentelella/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">
    <!-- bootstrap-wysiwyg -->
    <link href="{{asset('/gentelella/vendors/google-code-prettify/bin/prettify.min.css')}}" rel="stylesheet">
    <!-- Select2 -->
    <link href="{{asset('/gentelella/vendors/select2/dist/css/select2.min.css')}}" rel="stylesheet">
    <!-- Switchery -->
    <link href="{{asset('/gentelella/vendors/switchery/dist/switchery.min.css')}}" rel="stylesheet">
    <!-- starrr -->
    <link href="{{asset('/gentelella/vendors/starrr/dist/starrr.css')}}" rel="stylesheet">
    <!-- bootstrap-daterangepicker -->
    <link href="{{asset('/gentelella/vendors/bootstrap-daterangepicker/daterangepicker.css')}}" rel="stylesheet">

@endsection
@section('foot_script')
    @parent
    <!-- bootstrap-progressbar -->
    <script href="{{asset('/gentelella/vendors/bootstrap-progressbar/bootstrap-progressbar.min.js')}}"></script>
    <!-- iCheck -->
    <script href="{{asset('/gentelella/vendors/iCheck/icheck.min.js')}}"></script>
    <!-- bootstrap-daterangepicker -->
    <script href="{{asset('/gentelella/vendors/moment/min/moment.min.js')}}"></script>
    <script href="{{asset('/gentelella/vendors/bootstrap-daterangepicker/daterangepicker.js')}}"></script>
    <!-- bootstrap-wysiwyg -->
    <script href="{{asset('/gentelella/vendors/bootstrap-wysiwyg/js/bootstrap-wysiwyg.min.js')}}"></script>
    <script href="{{asset('/gentelella/vendors/jquery.hotkeys/jquery.hotkeys.js')}}"></script>
    <script href="{{asset('/gentelella/vendors/google-code-prettify/src/prettify.js')}}"></script>
    <!-- jQuery Tags Input -->
    <script href="{{asset('/gentelella/vendors/jquery.tagsinput/src/jquery.tagsinput.js')}}"></script>
    <!-- Switchery -->
    <script href="{{asset('/gentelella/vendors/switchery/dist/switchery.min.js')}}"></script>
    <!-- Select2 -->
    <script href="{{asset('/gentelella/vendors/select2/dist/js/select2.full.min.js')}}"></script>
    <!-- Parsley -->
    <script href="{{asset('/gentelella/vendors/parsleyjs/dist/parsley.min.js')}}"></script>
    <!-- Autosize -->
    <script href="{{asset('/gentelella/vendors/autosize/dist/autosize.min.js')}}"></script>
    <!-- jQuery autocomplete -->
    <script href="{{asset('/gentelella/vendors/devbridge-autocomplete/dist/jquery.autocomplete.min.js')}}"></script>
    <!-- starrr -->
    <script href="{{asset('/gentelella/vendors/starrr/dist/starrr.js')}}"></script>
@endsection

@section('content')
    <div class="col-md-6 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                @isset($model)
                    <h2>修改用户</h2>
                @else
                    <h2>新增用户</h2>
                @endisset
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <br/>
                <form action='?' method="get" class="form-horizontal form-label-left">
                    @isset($model)
                        <input hidden name="action" value="update"/>
                    @else
                        <input hidden name="action" value="add"/>
                    @endisset
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">所属校区 </label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <select name="DistrictID" id="DistrictID" class="form-control">
                                {{--<option value="0">*无上级</option>--}}
                                @foreach($districtAllModel as $item)
                                    <option value="{{$item->DistrictID}}">{{$item->FullName}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">用户名</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <input required="required" name="UserName" type="text" class="form-control"
                                   value="{{$model->UserName or ''}}">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">用户名密碼</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <input required="required" name="UserPwd" type="text" class="form-control"
                                   value="">
                            {{--{{$model->UserPwd or ''}}--}}
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">用户真实姓名</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <input required="required" name="UserRealName" type="text" class="form-control"
                                   value="{{$model->UserRealName or ''}}">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">用户角色</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <select name="UserRole" id="UserRole" class="select2_single form-control"
                                    tabindex="-1">
                                <option value="1">普通用户</option>
                                <option value="2">管理员</option>

                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">记录状态 </label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <select name="UserState" id="UserState" class="select2_single form-control"
                                    tabindex="-1">
                                {{--校区记录状态(1.激活；2新增，3停用，9删除)--}}
                                <option value="1">新增</option>
                                <option value="2">激活</option>
                                <option value="3">停用</option>
                                <option value="9">删除</option>
                            </select>
                        </div>
                    </div>


                    <div class="ln_solid"></div>
                    <div class="form-group">
                        <div class="col-md-9 col-sm-9 col-xs-12 col-md-offset-3">
                            <button type="submit" class="btn btn-primary">保存</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>



@endsection
@section('foot_script_run')
    @isset($model)
        <script>
            $("#DistrictID").val("{{$model->DistrictID}}");
            $("input[name='UserName']").val("{{$model->UserName}}");
            $("input[name='UserPwd']").val("{{$model->UserPwd}}");
            $("input[name='UserRealName']").val("{{$model->UserRealName}}");
            $("select[name='UserRole']").val("{{$model->UserRole}}");
            $("select[name='UserState']").val("{{$model->UserState}}");

        </script>
    @endisset
@endsection