<!doctype html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>能耗平台</title>

    <!-- Fonts -->
    {{--<link href="https://fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">--}}


    <script src="{{asset("/static/lib/jquery.js")}}"></script>
    <script type="text/JavaScript" src="{{asset("/static/lib/jQuery.print.js")}}"></script>

    <!-- panzoom -->
    <script src="{{asset("/static/lib/jquery.panzoom.js")}}"></script>
    <script src="{{asset("/static/lib/jquery.mousewheel.js")}}"></script>
    {{--<script src="{{asset('/static/lib/svg.panzoom.js')}}"></script>--}}
    <script src="{{asset("/static/js/svg_map.js")}}"></script>


    <!-- 最新版本的 Bootstrap 核心 CSS 文件 -->
    <link rel="stylesheet" href="{{asset('/bootstrap/3.3.7/css/bootstrap.min.css')}}" crossorigin="anonymous">

    <!-- 可选的 Bootstrap 主题文件（一般不用引入） -->
    <link rel="stylesheet" href="{{asset('/bootstrap/3.3.7/css/bootstrap-theme.min.css')}}" crossorigin="anonymous">

    <!-- 最新的 Bootstrap 核心 JavaScript 文件 -->
    <script src="{{asset('./bootstrap/3.3.7/js/bootstrap.min.js')}}"
            crossorigin="anonymous"></script>
    <!-- Font Awesome -->
    <link href="{{asset('/gentelella/vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">

    <!-- 开发环境版本，包含了有帮助的命令行警告 -->
    {{--    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>--}}
    <script src="{{asset('/js/vue.js')}}"></script>



    <!-- 引入 ECharts 文件 -->
    <script src="{{asset('/static/lib/echarts.js')}}"></script>
    <!-- Styles -->
    <style>
        .boder-radiu {
            border: 1px solid #ccc !important;
            padding: 14px;
            border-radius: 4px !important;
        }

        .padding_zero {
            padding: 0px;
        }

        .filter-alpha {
            background-color: #ffffff;
            filter: alpha(Opacity=0.95);
            -moz-opacity: 0.95;
            opacity: 0.95;
        }

        .theme-clolor {
            color: #2f903f;

        }

        .height_auto {

        }
    </style>
</head>
<body>

<div class="container-fluid">
    <div class="row ">
        <!--顶部菜单-->
        <nav class="navbar navbar-default" style="margin-bottom: 0;z-index:100;">
            <div class="container-fluid">
                <!-- Brand and toggle get grouped for better mobile display -->

                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                    <text id="DrawingsCode" hidden>{{$DrawingsCode}}</text>
                    <section id="app_title">
                        <ul class="nav navbar-nav  ">
                            <a v-if="info != null " class="navbar-brand" href="#">图纸编号：@{{ info.DrawingsCode }}，通讯编号：@{{
                                info.ComCode
                                }}，倍率：@{{ info.Factor }}，日期段：<span id="meter_list_beginDate">@{{ info.raw_data_day.beginDate }}</span>,<span id="meter_list_endnDate">@{{
                                    info.raw_data_day.endDate }}</span>，流量计量单位：m³</a>
                        </ul>
                    </section>
                    <ul class="nav navbar-nav navbar-right">
                        <a class="navbar-brand" href="#">图表详细信息</a>
                    </ul>
                </div><!-- /.navbar-collapse -->
            </div><!-- /.container-fluid -->
        </nav>

    </div>
    <div class="row" style="max-height: 910px;">

        <!-- 右边栏目-->
        <div id="left_menu" class="col-md-3 padding_zero filter-alpha">
            <!-- 两周内整日数据-->
            <div class="boder-radiu height_auto" style="padding-top: 0;">
                <style>
                    #dataList tbody {
                        display: block;
                        height: 200pt;;
                        overflow-y: scroll;
                    }

                    #dataList thead, #dataList tfoot, #dataList tbody tr {
                        display: table;
                        width: 100%;
                        table-layout: fixed;
                    }

                    table {
                        margin-bottom: 0;
                    !important;
                    }

                    #dataList thead {
                        width: calc(100% - 1em)
                    }

                    .tdwidth {
                        width: 35%;
                    }
                </style>
                <div>
                    <table id="dataList" class="table table-striped table-hover" style="margin: 0;font-size: 9pt">
                        <thead>
                        <tr>
                            <th id="id_test2">日期</th>
                            <th class="tdwidth">读数（0点）</th>
                            <th>流量</th>
                        </tr>
                        </thead>
                        <tbody id="day_list">

                        <tr v-for="item in info" v-bind:id="item.date_Y_m_d" onclick="day_list_click(this)">

                            <td class="tdwidth">@{{item.date_Y_m_d}}</td>
                            <td>@{{item.RawData }}</td>
                            <td>@{{item.Wastage}}</td>

                        </tr>
                        </tbody>

                    </table>

                </div>
            </div>
            <!--一日内每个时间段详情-->
            <div class="boder-radiu height_auto" style="padding-top: 0;">
                <style>
                    #dataList tbody {
                        display: block;
                        height: 200pt;;
                        overflow-y: scroll;
                    }

                    #dataList thead, #dataList tfoot, #dataList tbody tr {
                        display: table;
                        width: 100%;
                        table-layout: fixed;
                    }

                    table {
                        margin-bottom: 0;
                    !important;
                    }

                    #dataList thead {
                        width: calc(100% - 1em)
                    }

                    .tdwidth {
                        width: 35%;
                    }
                </style>
                <div>
                    <table id="dataList" class="table table-striped" style="margin: 0;font-size: 9pt">
                        <thead>
                        <tr>
                            <th id="id_test2">时间</th>
                            <th class="tdwidth">读数</th>
                            <th>流量</th>

                        </tr>
                        </thead>
                        <tbody id="app_list_hours">
                        <tr v-for="item in info">

                            <td class="tdwidth">@{{item.date_m_d_H_i}}</td>
                            <td>@{{item.RawData }}</td>
                            <td>@{{item.Wastage}}</td>
                        </tr>

                        </tbody>

                    </table>

                </div>
            </div>
        </div>

        <!-- 左边栏目-->
        <div class="col-md-9  padding_zero ">
            <div id="twoWeakbar" class="height_auto">

            </div>
            <div id="perHour" class="height_auto"></div>
        </div>


    </div>
</div>

</body>
<script type="text/javascript">


    // 基于准备好的dom，初始化echarts实例
    var myChartTwoWeakbar = echarts.init(document.getElementById('twoWeakbar'));
    var myChartPerHour = echarts.init(document.getElementById('perHour'));
    // 一段时间内的整日数据
    var optionTwoWeakbar = {
        title: {
            text: ''
        },
        legend: {
            top: '30',
            // data: ["S1-1"]
        },
        tooltip: {
            trigger: 'axis'
        },
        xAxis: {
            data: ["19", "20", "21", "22", "23", "24"]
        },
        yAxis: {
            splitLine: {
                show: false
            },
            name: ' 流量',
            nameLocation: 'center',
            nameGap: '30',

        },
        toolbox: {
            left: 'right',
            feature: {
                myTool1: {
                    show: true,
                    title: '打印',
                    icon: 'path://M432.45,595.444c0,2.177-4.661,6.82-11.305,6.82c-6.475,0-11.306-4.567-11.306-6.82s4.852-6.812,11.306-6.812C427.841,588.632,432.452,593.191,432.45,595.444L432.45,595.444z M421.155,589.876c-3.009,0-5.448,2.495-5.448,5.572s2.439,5.572,5.448,5.572c3.01,0,5.449-2.495,5.449-5.572C426.604,592.371,424.165,589.876,421.155,589.876L421.155,589.876z M421.146,591.891c-1.916,0-3.47,1.589-3.47,3.549c0,1.959,1.554,3.548,3.47,3.548s3.469-1.589,3.469-3.548C424.614,593.479,423.062,591.891,421.146,591.891L421.146,591.891zM421.146,591.891',
                    onclick: function () {
                        // alert('myToolHandler1')
                        // $("html").print();
                        $(myChartTwoWeakbar).print();
                        {{--$("#left_menu").print({--}}
                        {{--//Use Global styles--}}
                        {{--globalStyles : false,--}}
                        {{--//Add link with attrbute media=print--}}
                        {{--mediaPrint : false,--}}
                        {{--//Custom stylesheet--}}
                        {{--stylesheet : "{{asset('/bootstrap/3.3.7/css/bootstrap.min.css')}}",--}}
                        {{--//Print in a hidden iframe--}}
                        {{--iframe : false,--}}
                        {{--//Don't print this--}}
                        {{--noPrintSelector : ".avoid-this",--}}
                        {{--//Log to console when printing is done via a deffered callback--}}
                        {{--deferred: $.Deferred().done(function() { console.log('Printing done', arguments); })--}}
                        {{--});--}}
                    }
                },
                dataZoom: {
                    yAxisIndex: 'none'
                },
                restore: {},
                saveAsImage: {}
            }
        },
        dataZoom: [{
            startValue: '2014-06-01'
        }, {
            type: 'inside'
        }],
        color: "#2f903f",
        visualMap: {
            top: 30,
            right: 10,
            pieces: [{
                gt: 0,
                lte: 50,
                color: '#096'
            }, {
                gt: 50,
                lte: 100,
                color: '#ffde33'
            }, {
                gt: 100,
                lte: 150,
                color: '#ff9933'
            }, {
                gt: 150,
                lte: 200,
                color: '#cc0033'
            }, {
                gt: 200,
                lte: 300,
                color: '#660099'
            }, {
                gt: 300,
                color: '#7e0023'
            }],
            outOfRange: {
                color: '#999'
            }
        },
        series: {
            type: 'line',
            data: [5, 20, 36, 900, 10, 200],
            markLine: {
                silent: true,
                data: [{
                    yAxis: 50
                }, {
                    yAxis: 100
                }, {
                    yAxis: 150
                }, {
                    yAxis: 200
                }, {
                    yAxis: 300
                }]
            }
        }
    };
    // 一天24小时内的每小时段数据
    var optionPerHour = {
        title: {
            text: '表具_{{$DrawingsCode}}_每抄读数及该抄流量'
        },
        tooltip: {
            trigger: 'axis'
        },
        color: "#2f903f",
        xAxis: {
            data: []
        },
        yAxis: {
            splitLine: {
                show: false
            },
            name: ' 流量',
            nameLocation: 'center',
            nameGap: '30',
        },
        legend: {
            top: '30',
            // data: ["S1-1"]
        },
        toolbox: {
            left: 'right',
            feature: {

                saveAsImage: {}
            }
        },
        series: [{
            name: '',
            type: 'line',

            data: [],

        },
            {
                name: '',
                type: 'bar',
                itemStyle: {
                    color: "#cbe1ce",
                },
                data: [],

            }
        ]
    };
    var app_title = new Vue({
        el: '#app_title',
        data: {
            info: null
        }
    })

    var app_day_list = new Vue({
        el: '#day_list',
        data: {
            info: []
        }
    })
    var app_list_hours = new Vue({
        el: '#app_list_hours',
        data: {
            info: []
        }
    })

    var DrawingsCode = '{{$DrawingsCode}}';

    //设置图表
    function getMeterTwoWeekInfo(DrawingsCode) {
        myChartTwoWeakbar.showLoading();
        var  meter_list_beginDate = "{{$request->input('beginDate')}}"; //$('#meter_list_beginDate').text();
        var  meter_list_endDate =   "{{$request->input('endDate')}}";;//$('#meter_list_endDate').text();
        var requestData = {
            'beginDate':meter_list_beginDate,
            'endDate':meter_list_endDate
        }
        $.getJSON('/map_web/home/getMeterTwoWeekInfo/' + DrawingsCode,requestData, function (data) {
            console.log(data);
            app_title.info = data;
            app_day_list.info = data.raw_data_day.list;
            // app_childs_meter.info = data.childs_meter;
            // return;
            myChartTwoWeakbar.hideLoading();
            myChartTwoWeakbar.setOption({
                title: {
                    text: '表具_' + data.DrawingsCode + '_自' + data.raw_data_day.beginDate + '到' + data.raw_data_day.endDate + '内_每日零点读数及该日流量[按照每日统计]'
                },
                xAxis: {
                    data: data.raw_data_day.dates
                },
                legend: {
                    data: [data.DrawingsCode]
                },
                series: [{
                    // 根据名字对应到相应的系列
                    name: data.DrawingsCode,
                    // type: 'bar',
                    data: data.raw_data_day.wastages
                }]
            });
            meter_hoursInfo(data.raw_data_day.endDate);
        });
    }

    function meter_hoursInfo(date) {
        myChartPerHour.showLoading();
        $.getJSON("?", {action: 'hoursInfo', date: date}, function (data) {
            console.log(data);
            app_list_hours.info = data.list;
            myChartPerHour.hideLoading();
            myChartPerHour.setOption({
                xAxis: {
                    data: data.dates
                },
                legend: {
                    data: [data.DrawingsCode]
                },
                series: [{
                    // 根据名字对应到相应的系列
                    name: data.DrawingsCode,
                    type: 'line',
                    data: data.wastages
                }, {
                    // 根据名字对应到相应的系列
                    name: data.DrawingsCode,
                    type: 'bar',
                    data: data.wastages
                }]
            });
        })
    }

    function day_list_click(e) {
        meter_hoursInfo($(e).attr('id'));
    }

    $(function () {

        myChartTwoWeakbar.on('click', function (params) {
            // 控制台打印数据的名称
            console.log(params);
            //当前选择天的时段详情
            meter_hoursInfo(params.name);
        });

        var height = ($(window).height() - 52) / 2;
        height = height < 240 ? 240 : height;
        $(".height_auto").css('height', height + 'px');
        // 使用刚指定的配置项和数据显示图表。
        myChartTwoWeakbar.setOption(optionTwoWeakbar);
        myChartTwoWeakbar.resize();

        myChartPerHour.setOption(optionPerHour);
        myChartPerHour.resize();

        getMeterTwoWeekInfo(DrawingsCode);

    });
</script>
<script>


</script>
</html>
