<!doctype html>

<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>能耗平台</title>

    <!-- Fonts -->
    {{--<link href="https://fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">--}}
    <meta name="csrf-token" content="{{ csrf_token() }}" />

    <script src="{{asset("/static/lib/jquery.js")}}"></script>
    <!-- panzoom -->
    <script src="{{asset("/static/lib/jquery.panzoom.js")}}"></script>
    <script src="{{asset("/static/lib/jquery.mousewheel.js")}}"></script>
    {{--<script src="{{asset('/static/lib/svg.panzoom.js')}}"></script>--}}
    <script src="{{asset("/static/js/svg_map.js")}}"></script>


    <!-- 最新版本的 Bootstrap 核心 CSS 文件 -->
    <link rel="stylesheet" href="{{asset('/bootstrap/3.3.7/css/bootstrap.min.css')}}"
          crossorigin="anonymous">

    <!-- 可选的 Bootstrap 主题文件（一般不用引入） -->
    <link rel="stylesheet" href="{{asset('/bootstrap/3.3.7/css/bootstrap-theme.min.css')}}"
          crossorigin="anonymous">

    <!-- 最新的 Bootstrap 核心 JavaScript 文件 -->
    <script src="{{asset('/bootstrap/3.3.7/js/bootstrap.min.js')}}"

            crossorigin="anonymous"></script>


    <!-- 时间控件 -->
    <link href="{{asset('/bootstrap/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css')}}" rel="stylesheet">
    <script src="{{asset('/bootstrap/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js')}}"></script>
    <script type="text/javascript"
            src="{{asset('/bootstrap/bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.zh-CN.js')}}"
            charset="UTF-8"></script>
    <!-- Font Awesome -->
    <link href="{{asset('/gentelella/vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">

    <link href="{{asset('/static/css/animation.css')}}" rel="stylesheet">
    <!-- 开发环境版本，包含了有帮助的命令行警告 -->
     {{--    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>--}}

    <script src="{{asset('/js/vue.js')}}"></script>

    <!-- 引入 ECharts 文件 -->
    <script src="{{asset('/static/lib/echarts.js')}}"></script>
    <!-- Styles -->
    <style>
        .boder-radiu {
            border: 1px solid #ccc !important;
            padding: 14px;
            border-radius: 4px !important;
        }

        .padding_zero {
            padding: 0px;
        }

        .filter-alpha {
            background-color: #ffffff;
            filter: alpha(Opacity=0.95);
            -moz-opacity: 0.95;
            opacity: 0.95;
        }

        .theme-clolor {
            color: #2f903f;

        }
    </style>
</head>
<body>
<!-- 综合查询 -->
<div id="IntegratedQuery" class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <form id="form_IntegratedQuery">
        <input hidden id="DistrictID" name="DistrictID">
        <div class="modal-dialog" style="position: relative; left:-240px;" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">综合查询</h4>
                </div>
                <div class="modal-body">

                    <div class="row">
                        <div class="col-md-3">
                            <p>开始日期</p>

                            <input name="begin_date" class="form-control" id="datetimepicker_begin" size="16"
                                   type="text"
                                   value="{{ date('Y-m-d',strtotime("-15 day")) }}" readonly>

                        </div>
                        <div class="col-md-3">
                            <p>结束日期</p>

                            <input name="end_date" class="form-control" id="datetimepicker_end" size="16" type="text"
                                   value="{{ date('Y-m-d')}}" readonly>

                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-3">
                            <p>能耗类型</p>
                            <select id="EnergyType" name="EnergyType" class="form-control"
                                    onchange="IntegratedQueryList()">
                                <option value="1">
                                    水
                                </option>
                                <option value="2">
                                    电
                                </option>
                            </select>
                        </div>
                        <div class="col-md-3">
                            <p>图纸编号</p>
                            <input name="DrawingsCode" value="" class="form-control">
                        </div>
                        <div class="col-md-3">
                            <p>层级</p>
                            <select id="Level" name="Level" class="form-control">
                                <option value="0">
                                    所有层级
                                </option>
                                <option value="1">
                                    1级表
                                </option>
                                <option value="2">
                                    2级表
                                </option>
                                <option value="3">
                                    3级表
                                </option>
                                <option value="4">
                                    4级表
                                </option>
                                <option value="5">
                                    5级表
                                </option>
                                <option value="6">
                                    6级表
                                </option>
                                <option value="7">
                                    7级表
                                </option>
                                <option value="8">
                                    8级表
                                </option>
                            </select>
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            <p>部门</p>
                            <select id="Department" name="Department" class="form-control">
                                <option value="0">
                                    所有部门
                                </option>
                                <template v-if="info != null">
                                    <option v-for="item in info.Department" v-bind:value="item.DeptID">
                                        @{{ item.DeptName }}
                                    </option>
                                </template>
                            </select>
                        </div>
                        <div class="col-md-3">
                            <p>使用用途</p>
                            <select id="Usage" name="Usage" class="form-control">
                                <option value="0">
                                    所有用途
                                </option>
                                <template v-if="info != null">
                                    <option v-for="item in info.Usage" v-bind:value="item.UsageID">
                                        @{{ item.UsageName }}
                                    </option>
                                </template>
                            </select>
                        </div>
                        <div class="col-md-3">
                            <p>建筑类型</p>
                            <select onchange="IntegratedQueryList()" id="BuildingType" name="BuildingType"
                                    class="form-control">
                                <option value="0">
                                    所有建筑类型
                                </option>
                                <option value="1">行政办公建筑</option>
                                <option value="2">图书馆建筑</option>
                                <option value="3">教学楼建筑</option>
                                <option value="4">科研楼建筑</option>
                                <option value="5">综合楼建筑</option>
                                <option value="6">场馆类建筑</option>
                                <option value="7">食堂餐厅</option>
                                <option value="8">学生集中浴室</option>
                                <option value="9">学生宿舍</option>
                                <option value="10">大型或特殊科研实验室</option>
                                <option value="11">医院</option>
                                <option value="12">交流中心(含招待所,宾馆)</option>
                                <option value="13">其他</option>
                                <option value="14">总表</option>
                            </select>
                        </div>
                        <div class="col-md-3">
                            <p>建筑物</p>
                            <select id="Building" name="Building" class="form-control">
                                <option value="0">
                                    所有建筑物
                                </option>
                                <template v-if="info != null">
                                    <option v-for="item in info.Building" v-bind:value="item.BuildingID">
                                        @{{ item.BuildingName }}
                                    </option>
                                </template>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
                    <button type="button" onclick="getMeterList();" class="btn btn-primary">还原</button>
                    <button type="button" onclick="IntegratedQuery();" class="btn btn-primary">查询</button>
                </div>
            </div>
        </div>
    </form>
</div>
<!-- 多表对比 -->
<div id="More_contrast_table" class="modal fade" id="myModal" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel">
    <form id="form_IntegratedQuery">
        <input hidden id="DistrictID" name="DistrictID">
        <div class="modal-dialog" style="position: relative; left:-240px;" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">多表对比</h4>
                </div>
                <div class="modal-body">

                    <div class="row">

                        <div class="col-md-3">
                            <p>能耗类型</p>
                            <select id="EnergyType" name="EnergyType" class="form-control"
                                    onchange="More_contrast_table_EnergyType_change(this)">
                                <option value="1">
                                    水
                                </option>
                                <option value="2">
                                    电
                                </option>
                            </select>
                        </div>

                        <div class="col-md-3">
                            <p>开始日期</p>

                            <input name="begin_date" class="form-control" id="datetimepicker_begin" size="16"
                                   type="text"
                                   value="{{ date('Y-m-d',strtotime("-15 day")) }}" readonly>

                        </div>
                        <div class="col-md-3">
                            <p>结束日期</p>

                            <input name="end_date" class="form-control" id="datetimepicker_end" size="16" type="text"
                                   value="{{ date('Y-m-d')}}" readonly>

                        </div>
                    </div>

                    <div style="margin-top: 14px;max-height: 200px;overflow-y:scroll;overflow-x: hidden ">

                        <template v-for="item in info">
                            <h6>@{{ item.UsageName }}</h6>
                            {{--{{$usage->UsageName}}--}}
                            <div class="row">
                                <template v-for="meter in item.meters">
                                    <div class="col-md-2">
                                        <label class="checkbox-inline">
                                            <input type="checkbox" v-bind:value="meter.MeterID"
                                                   v-bind:id="meter.MeterID">
                                            @{{meter.DrawingsCode}}

                                        </label>
                                    </div>
                                </template>
                            </div>

                        </template>

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
                    <button type="button" onclick="getMeterList();" class="btn btn-primary">还原</button>
                    <button type="button" onclick="More_contrast_tableQuery();" class="btn btn-primary">查询</button>
                </div>
            </div>
        </div>
    </form>
</div>
<!-- 拓扑图 -->
<div id="topology" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <form id="form_IntegratedQuery">
        <input hidden id="DistrictID" name="DistrictID">
        <div class="modal-dialog" style="position: relative; width: 95%;" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span>
                    </button>
                    <div class="modal-title" id="myModalLabel">
                        <h4>能耗拓扑图</h4>
                        <div class="row">
                            <div class="col-md-2">

                                <p>开始日期</p>

                                <input name="topology_w_begin_date" class="form-control" id="topology_w_begin_date"
                                       size="16"
                                       type="text"
                                       value="{{ date('Y-m-d',strtotime("-15 day")) }}" readonly>

                            </div>
                            <div class="col-md-2">
                                <p>结束日期</p>
                                <input name="topology_w_end_date" class="form-control" id="topology_w_end_date"
                                       size="16" type="text"
                                       value="{{ date('Y-m-d')}}" readonly>

                            </div>
                            <div class="col-md-1">
                                <p> &nbsp;</p>
                                <button type="button" onclick="energyTopologyClick();" class="btn btn-primary">查询
                                </button>
                            </div>
                            <div class="col-md-2">
                                <p>设备定位</p>
                                <select onchange="all_Meters_change(this);" class="form-control">
                                    <option>
                                        所有设备
                                    </option>
                                    @foreach($all_Meters as $meter)
                                        <option value="{{$meter->DrawingsCode}}">
                                            {{$meter->MeterName}}({{$meter->DrawingsCode}})
                                        </option>
                                    @endforeach
                                </select>
                            </div>

                        </div>
                        <div id="topology_data_progress" hidden>
                            <div class="progress progress-striped active" style="margin-top: 16px;">
                                <div class="progress-bar progress-bar-success" role="progressbar"
                                     aria-valuenow="60" aria-valuemin="1" aria-valuemax="100"
                                     style="width: 40%;">
                                    <span class="sr-only">40% 完成</span>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
                <div class="modal-body">
                    <section id="topology_section" style="z-index:-100;">
                        <div class="parent">
                            <div id="panzoom_topology" class="panzoom" style="height: calc(100vh - 250px);;">
                                {{--<img src="http://blog.millermedeiros.com/wp-content/uploads/2010/04/awesome_tiger.svg" width="900" height="900">--}}
                                {{--{{asset("/static/lib/jquery.panzoom.js")}}--}}
                                {{-- 水表拓扑图--}}

                                {!! file_get_contents(public_path('/static/svg/zhongyida_topology.svg')) !!}
                            </div>
                        </div>
                    </section>

                </div>
                <div class="modal-footer">

                </div>
            </div>
        </div>
    </form>
</div>

<div class="container-fluid">
    <div class="row ">
        <!--顶部菜单-->
        <nav class="navbar navbar-default" style="margin-bottom: 0;z-index:100;">
            <div class="container-fluid">
                <!-- Brand and toggle get grouped for better mobile display -->
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                            data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="{{url("map_web/home")}}">能耗平台</a>
                </div>

                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                    <ul class="nav navbar-nav">

                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                               aria-haspopup="true" aria-expanded="false">区域切换 <span class="caret"></span></a>
                            <ul class="dropdown-menu">
                                @foreach($all_District as $item)
                                    <li id="{{$item->DistrictID}}" onclick="changeDistrict(this);"><a href="#">{{$item->DistrictName}}</a>
                                    </li>
                                @endforeach

                            </ul>
                        </li>

                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                               aria-haspopup="true" aria-expanded="false">图层切换 <span class="caret"></span></a>
                            <ul class="dropdown-menu">
                                {{--var layer_map = 1;--}}
                                {{--var layer_w_device = 1;--}}
                                {{--var layer_w_pipeline = 1;--}}
                                {{--var layer_w_com = 0; --}}
                                {{--var layer_e_device = 0;--}}
                                {{--var layer_e_com = 0;--}}
                                <li><a href="#" onclick="layer_map = !layer_map;layerManagement();"><i
                                                id="fa_layer_map" class="fa fa-check-square-o"></i>地图层</a></li>
                                <li role="separator" class="divider"></li>
                                <li><a href="#" onclick="layer_w_device = !layer_w_device;layerManagement();"><i
                                                id="fa_layer_w_device" class="fa fa-check-square-o"></i> 水表设备层</a></li>
                                <li><a href="#"
                                       onclick="layer_w_pipeline = !layer_w_pipeline;layerManagement();"><i
                                                id="fa_layer_w_pipeline" class="fa fa-check-square-o"></i>水表管线层</a></li>
                                <li><a href="#" onclick="layer_w_com = !layer_w_com;layerManagement();"><i
                                                id="fa_layer_w_com" class="fa fa-check-square-o"></i>水表通讯层</a></li>
                                <li><a href="#" onclick="layer_e_device = !layer_e_device;layerManagement();"><i
                                                id="fa_layer_e_device" class="fa fa-check-square-o"></i>电表设备层</a>
                                </li>
                                <li><a href="#" onclick="layer_e_com = !layer_e_com;layerManagement();"><i
                                                id="fa_layer_e_com" class="fa fa-check-square-o"></i>电表通讯层</a></li>
                            </ul>
                        </li>

                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                               aria-haspopup="true" aria-expanded="false">拓扑图 <span class="caret"></span></a>
                            <ul class="dropdown-menu">
                                <li><a href="#" data-toggle="modal" data-target="#topology">水表拓扑图</a></li>
                                <li role="separator" class="divider"></li>
                                <li><a href="#">电表拓扑图</a></li>
                            </ul>
                        </li>

                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="modal" data-target="#IntegratedQuery"
                               role="button"
                               aria-haspopup="true" aria-expanded="false" onclick="IntegratedQueryList();">综合查询 <span
                                        class="caret"></span></a>

                        </li>

                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="modal" data-target="#More_contrast_table"
                               role="button"
                               onclick="More_contrast_table_EnergyType_change(this)" aria-haspopup="true"
                               aria-expanded="false">多表对比 <span class="caret"></span></a>
                            <div class="dropdown-menu" style="width: 600px;height: 400px">

                            </div>
                        </li>

                    </ul>

                    <ul class="nav navbar-nav navbar-right">
                        <a class="navbar-brand" href="{{url("map_web/home")}}">来信能耗监测管理平台</a>
                    </ul>
                </div><!-- /.navbar-collapse -->
            </div><!-- /.container-fluid -->
        </nav>

    </div>
    <div class="row" style="max-height: 910px;">

        <!-- 右边栏目-->
        <div class="col-md-7  padding_zero ">
            <div class="flex-center position-ref full-height">
                <section id="map_section" style="z-index:-100;">
                    <div class="parent">
                        <div id="panzoom" class="panzoom" style="min-height: 600px;">
                            {{--<img src="http://blog.millermedeiros.com/wp-content/uploads/2010/04/awesome_tiger.svg" width="900" height="900">--}}
                            {{--{{asset("/static/lib/jquery.panzoom.js")}}--}}
                            {!! file_get_contents(public_path('/static/svg/zhongyida.svg')) !!}
                        </div>
                    </div>
                </section>
            </div>


        </div>

        <!-- 左边栏目-->
        <div id="left_menu" class="col-md-5 padding_zero filter-alpha" style="overflow-y:scroll;">
            <!-- 列表栏-->
            <div class="boder-radiu" style="padding-top: 0;">
                <style>
                    #dataList tbody {
                        display: block;
                        height: 200pt;;
                        overflow-y: scroll;
                    }

                    #dataList thead, #dataList tfoot, #dataList tbody tr {
                        display: table;
                        width: 100%;
                        table-layout: fixed;
                    }

                    table {
                        margin-bottom: 0;
                    !important;
                    }

                    #dataList thead {
                        width: calc(100% - 1em)
                    }

                    .tdwidth {
                        width: 35%;
                    }
                </style>
                <div>
                    <div id="dataList_loding"></div>
                    <table id="dataList" class="table table-striped" style="margin: 0;font-size: 9pt">
                        <thead>
                        <tr>
                            <th id="id_test2">编号</th>
                            <th class="tdwidth">设备名称</th>
                            <th>起始读数</th>
                            <th>结束读数</th>
                            <th>系数</th>
                            <th>流量</th>
                            {{--<th><span class="glyphicon glyphicon-equalizer" aria-hidden="true"></span>--}}
                            {{--</th>--}}
                        </tr>
                        </thead>
                        <tbody>
                        <template v-if="info == null">
                            <tr>
                                <th>
                                    正在加载数据。。。
                                </th>
                            </tr>
                        </template>
                        <template v-if="info != null">
                            <template v-for="item in info.MetersList ">
                                <tr>
                                    <th class="theme-clolor" onclick="MetersCellClick(this);"
                                        v-bind:id="item.DrawingsCode"
                                        style="cursor:pointer;" scope="row">@{{item.DrawingsCode}}
                                    </th>
                                    <td class="tdwidth">@{{item.MeterName}}</td>
                                    <td>@{{item.Begin_RawData || '--'}}</td>
                                    <td>@{{item.End_RawData || '--'}}</td>
                                    <td>@{{item.Factor}}</td>
                                    <td>@{{item.Wastage || '--'}}</td>
                                    {{--<td>连抄</td>--}}
                                </tr>
                            </template>
                        </template>
                        </tbody>
                        <tfoot>
                        <tr>
                            <td width="60%">时间 <span id="meter_list_beginDate">@{{info.beginDate}}</span> --
                                <span id="meter_list_endDate">@{{info.endDate}}</span></td>
                            <td>流量汇总@{{info.allWastage}}m³</td>
                            <td class="theme-clolor" style="cursor:pointer;" onclick="exportMetersList();">
                                <span class="glyphicon glyphicon-floppy-save" aria-hidden="true"></span>
                            </td>
                            <td class="theme-clolor" style="cursor:pointer;" onclick="exportMetersHourList();">
                                <span class="glyphicon glyphicon-floppy-save" aria-hidden="true"></span>
                            </td>
                        </tr>
                        </tfoot>
                    </table>

                </div>
            </div>
            <!--信息详情栏-->
            <div class="boder-radiu" style="padding: 14px">
                <!--图表-->
                <div id="twoWeakbar" style="height:240pt;">
                </div>


                <!--信息详情-->
                <table class="table table-bordered">
                    <tbody id="meter-info">
                    <template v-if="info != null">
                        {{----}}
                        <tr>
                            <th scope="row">图纸编号</th>
                            <td>@{{ info.DrawingsCode || "--"}}</td>
                            <th>设备名称</th>
                            <td> @{{ info.MeterName || "--"}}</td>
                        </tr>
                        <tr>
                            <th scope="row">能耗类型</th>
                            <td>@{{info.ComEquip.EnergyTypeName || "--"}}</td>
                            <th>通讯编号</th>
                            <td> @{{ info.ComEquip.ComCode || "--"}}</td>
                        </tr>
                        <tr>
                            <th scope="row">能耗设备编号</th>
                            <td colspan="3">@{{ info.PECode || "--"}}</td>
                        </tr>
                        <tr>
                            <th scope="row">当前读数</th>
                            <td colspan="2">@{{ info.last_RawData || "--"}}</td>

                        </tr>
                        <tr>
                            <th scope="row">所在建筑物</th>
                            <td>@{{ info.Location || "--"}}</td>
                            <th>计量分类</th>
                            <td>@{{ info.UsageName || "--"}}</td>
                        </tr>
                        <tr>
                            <th scope="row">管径</th>
                            <td>@{{ info.AdditonInfo || "--"}}</td>
                            <th>系数</th>
                            <td>@{{ info.Factor || "--"}}</td>
                        </tr>
                        <tr>
                            <th scope="row" colspan="2" class="text-center">上级设备</th>

                            <th scope="row" colspan="2" class="text-center">下级设备</th>

                        </tr>
                    </template>
                    </tbody>
                    <tfoot>
                    <tr>
                        <td colspan="2" id="parent_meter" style="font-size: 8pt;font-style: normal;">
                            <p v-if="info == null">无上级设备</p>
                            <div v-if="info != null" class="col-md-12">

                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">设备名称：</div>
                                    <div class="col-md-7">@{{ info.DistrictName }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">

                                    <div class="col-md-5">图纸编号：</div>
                                    <div class="col-md-7">@{{ info.DrawingsCode }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">区域：</div>
                                    <div class="col-md-7">@{{ info.DistrictName }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">建筑物：</div>
                                    <div class="col-md-7">@{{ info.BuildingName }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">部门：</div>
                                    <div class="col-md-7">@{{ info.DeptName }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">能耗类型：</div>
                                    <div class="col-md-7">@{{ info.ComEquip.EnergyTypeName }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">计量分项：</div>
                                    <div class="col-md-7">@{{ info.UsageName }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">安装位置：</div>
                                    <div class="col-md-7">@{{ info.Location }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">连接采集器：</div>
                                    <div class="col-md-7">@{{ info.ComCode }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">管径：</div>
                                    <div class="col-md-7">@{{ info.AdditonInfo }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">系数：</div>
                                    <div class="col-md-7">@{{ info.Factor }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">最大消耗量：</div>
                                    <div class="col-md-7">@{{ info.MaxWastage }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">所属组：</div>
                                    <div class="col-md-7">@{{ info.GroupName }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">层级：</div>
                                    <div class="col-md-7">@{{ info.Level }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">上级表/组：</div>
                                    <div class="col-md-7">@{{ info.ParentName }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">是否表具组：</div>
                                    <div class="col-md-7">@{{ info.InGroupName }}</div>
                                </div>
                                <div class="row" style="margin-bottom: 8px;">
                                    <div class="col-md-5">是否虚拟表：</div>
                                    <div class="col-md-7">@{{ info.IsVirtualName }}</div>
                                </div>
                            </div>
                        </td>
                        <td colspan="2" id="childs_meter">
                            <p v-if="info.length == 0">无设备下级</p>
                            <div v-if="info.length > 0" class="col-md-12 ">
                                <div v-for="item in info">
                                    <a v-bind:title=" item.DrawingsCode" onclick="childs_meter_CellClick(this);"
                                       v-bind:id="item.DrawingsCode"
                                       style="color: #00A000;cursor:pointer;">@{{ item.title }}(@{{ item.DrawingsCode
                                        }})
                                    </a>
                                </div>
                            </div>
                        </td>
                    </tr>
                    </tfoot>
                </table>


            </div>
        </div>
        <div class="clearfix"></div>
    </div>
</div>

</body>
<script type="text/javascript">
    // 基于准备好的dom，初始化echarts实例
    var myChart = echarts.init(document.getElementById('twoWeakbar'));

    // 指定图表的配置项和数据
    var option = {
        title: {
            text: '表具流量每日汇总',
            subtext: '更多图表信息',
            sublink: '/map_web/device_info',
            textStyle: {
                fontSize: 12,
                // align:'right'
            },
            subtextStyle: {
                color: "#2f903f",
            }
        },
        color: "#2f903f",
        tooltip: {},
        legend: {
            // data: ['S1-2']
        },
        xAxis: {
            data: []
        },
        yAxis: {
            name: ' 流量',
            nameLocation: 'center',
            nameGap: '30',
        },
        series: [{
            // name: 'S1-2',
            type: 'bar',
            data: [],
            itemStyle: {
                normal: {
                    label: {
                        show: true, //开启显示
                        position: 'top', //在上方显示
                        textStyle: { //数值样式
                            color: 'black',
                            fontSize: 12
                        }
                    }
                }
            },
        }]
    };

    // 使用刚指定的配置项和数据显示图表。
    myChart.setOption(option);
</script>
<script>


    var all_District = JSON.parse('{!! $all_District !!}');
    var now_select_DistrictID = all_District[0].DistrictID;
    function changeDistrict(that) {
        now_select_DistrictID =  $(that).attr('id');
        console.log( now_select_DistrictID);
    }
    console.log(all_District)
    var app_meter_info = new Vue({
        el: '#meter-info',
        data: {
            info: null
        }
    })
    var app_parent_meter = new Vue({
        el: '#parent_meter',
        data: {
            info: null
        }
    })
    var app_childs_meter = new Vue({
        el: '#childs_meter',
        data: {
            info: ''
        }
    })
    var app_meter_list = new Vue({
        el: '#dataList',
        data: {
            info: ''
        }
    })
    var app_IntegratedQuery_modal = new Vue({
        el: '#IntegratedQuery',
        data: {
            info: ''
        }
    })

    var app_More_contrast_table_modal = new Vue({
        el: '#More_contrast_table',
        data: {
            info: ''
        }
    })
    // 初始化地图
    init_map();

    /**列表中的设备选中后*/
    function MetersCellClick(e) {
        var DrawingsCode = move_to_map_drawingsCode(e);

        getMeterTwoWeekInfo(DrawingsCode);

    }

    /**
     * 能耗拓扑图数据
     * */
    function energyTopologyClick() {
        var topology_w_begin_date = $('#topology_w_begin_date').val();
        var topology_w_end_date = $('#topology_w_end_date').val();
        var data = {
            DistrictID: now_select_DistrictID,
            topology_w_begin_date: topology_w_begin_date,
            topology_w_end_date: topology_w_end_date
        };
        $("#topology_data_progress").show(200);
        $.getJSON('/map_web/home/energyTopology', data, function (data) {
            console.log(data);
            $("#topology_data_progress").hide(200);
            for (var index  in  data.MetersList) {
                var meter = data.MetersList[index];
                // console.log( $("#topology_section #流量 #"+meter.DrawingsCode+"_liuliang"));
                // $("#topology_section #" + meter.DrawingsCode).text(meter.DrawingsCode + meter.MeterName)
                $("#topology_section #" + meter.DrawingsCode + "_liuliang").text(meter.Wastage + 'm³');
                if (meter.Rates != 0){
                    $("#topology_section #" + meter.DrawingsCode + "_jilianglv").text(meter.Rates+"%");
                }else {
                    $("#topology_section #" + meter.DrawingsCode + "_jilianglv").text('');

                }
                $("#topology_section #" + meter.DrawingsCode + "_xiajiliuliang").text(meter.son_wastage + 'm³');
            }

            // app_IntegratedQuery_modal.info = data;
        });
    }

    function all_Meters_change(e) {
        var DrawingsCode = $(e).val();
        go_to_point_obj($("#topology_section #" + DrawingsCode + "_liuliang"), $('#topology_section'));
    }

    //综合查询级联列表
    function IntegratedQueryList() {
        var EnergyType = $('#IntegratedQuery #EnergyType').val();
        var BuildingType = $('#IntegratedQuery #BuildingType').val();
        var data = {
            DistrictID: now_select_DistrictID,
            EnergyType: EnergyType,
            BuildingType: BuildingType
        };
        $.getJSON('/map_web/IntegratedQueryList', data, function (data) {
            console.log(data);
            app_IntegratedQuery_modal.info = data;
        });
    }


    //综合查询开始查询
    function IntegratedQuery(e) {
        $("#form_IntegratedQuery #DistrictID").val(now_select_DistrictID);
        $("#dataList_loding").addClass('spinner');
        $.getJSON('Query/Integrated', $("#form_IntegratedQuery").serialize(), function (data) {
            // your code
            app_meter_list.info = data;
            $("#dataList_loding").removeClass('spinner');
        });
    }

    //多表对比设备获取
    function More_contrast_table_EnergyType_change(e) {
        var EnergyType = $("#More_contrast_table #EnergyType").val();
        $.getJSON('/map_web/home/more_contrast_table_meters', {'EnergyType': EnergyType}, function (data) {

            console.log(data);
            app_More_contrast_table_modal.info = data;
        })
    }

    //多表查询
    function More_contrast_tableQuery() {
        var checkID = [];//定义一个空数组

        var checks = $("#More_contrast_table input:checkbox:checked").each(function (i) {//把所有被选中的复选框的值存入数组
            checkID[i] = $(this).attr('id');
        });

        var meters_id = JSON.stringify(checkID);
        console.log(meters_id);
        $("#dataList_loding").addClass('spinner');

        var begin_date = $("#More_contrast_table #datetimepicker_begin").val();
        var end_date = $("#More_contrast_table #datetimepicker_end").val();
        var data = {
            'meters_id': meters_id,
            'begin_date': begin_date,
            'end_date': end_date
        };
        $.getJSON('/map_web/home/more_contrast_table/query', data, function (data) {

            app_meter_list.info = data;
            console.log("多表查询 获得设备列表");
            $("#dataList_loding").removeClass('spinner');
        })
    }

    //获得设备列表
    function getMeterList() {
        $("#dataList_loding").addClass('spinner');
        $.getJSON('/map_web/getMetersList', function (data) {
            app_meter_list.info = data;
            console.log("获得设备列表");
            $("#dataList_loding").removeClass('spinner');
        })
    }
    //导出设备列表到Excel
    function exportMetersList() {
        // $(location).attr('href', '/map_web/home/exportMetersList');

       var metersList =encodeURI( JSON.stringify(app_meter_list.info))
        console.log(metersList)
      var data = {metersList:metersList,_token:'{{csrf_token()}}'}
        DownLoadFile({url:'/map_web/home/exportMetersList',
            data:data,
            method:'post'});

    }
    function exportMetersHourList() {
        var metersList =encodeURI( JSON.stringify(app_meter_list.info))
        console.log(metersList)
        var data = {metersList:metersList,_token:'{{csrf_token()}}'}
        DownLoadFile({url:'/map_web/home/exportMetersHourList',
            data:data,
            method:'post'});
    }
    /*===================下载文件
     * options:{
     * url:'',  //下载地址
     * data:{name:value}, //要发送的数据
     * method:'post'
     * }
     */
    var DownLoadFile = function (options) {
        var config = $.extend(true, { method: 'post' }, options);
        var $iframe = $('<iframe id="down-file-iframe" />');
        var $form = $("<form target='down-file-iframe' method='" + config.method + "' />");
        $form.attr('action', config.url);
        for (var key in config.data) {
            $form.append('<input type="hidden" name="' + key + '" value="' + config.data[key] + '" />');
        }
        $iframe.append($form);
        $(document.body).append($iframe);
        $form[0].submit();
        $iframe.remove();
    }
    getMeterList();

    //子列表选中
    function childs_meter_CellClick(e) {
        move_to_map_drawingsCode(e);
    }

    /**移动到地图上的某一点,id为DrawingsCode*/
    function move_to_map_drawingsCode(e) {

        var DrawingsCode = $(e).attr('id');
        console.log(DrawingsCode)
        var DrawingsCode_map_obj = $("#map_section #" + DrawingsCode);
        console.log(DrawingsCode_map_obj)
        if (DrawingsCode_map_obj.length > 0) {

            go_to_point_obj(DrawingsCode_map_obj, $('#map_section'));
        }
        else {
            console.log(DrawingsCode + '：地图上不存在此标注')
        }
        return DrawingsCode;
        // getMeterTwoWeekInfo(DrawingsCode);

    }


    //设置图表
    function getMeterTwoWeekInfo(DrawingsCode) {
        var meter_list_beginDate = $('#meter_list_beginDate').text();
        var meter_list_endDate = $('#meter_list_endDate').text();
        myChart.showLoading();
        var requestData = {
            'beginDate': meter_list_beginDate,
            'endDate': meter_list_endDate
        }
        $.getJSON('/map_web/home/getMeterTwoWeekInfo/' + DrawingsCode, requestData, function (data) {
            console.log(data);
            var sublik = '/map_web/device_info/' + DrawingsCode + '?beginDate=' + meter_list_beginDate + '&endDate=' + meter_list_endDate;
            app_meter_info.info = data;
            app_parent_meter.info = data.parent_meter;
            app_childs_meter.info = data.childs_meter;
            myChart.hideLoading();
            myChart.setOption({
                title: {
                    sublink: sublik,

                },
                xAxis: {
                    data: data.raw_data_day.dates
                },
                legend: {
                    data: [data.DrawingsCode]
                },
                series: [{
                    // 根据名字对应到相应的系列
                    name: data.DrawingsCode,
                    type: 'bar',
                    data: data.raw_data_day.wastages
                }]
            });
        });
    }

    var layer_map = 1;
    var layer_w_device = 1;
    var layer_w_pipeline = 0;
    var layer_w_com = 0;

    var layer_e_device = 0;
    var layer_e_com = 0;

    $(function () {
        layerManagement();
        console.log($(window).height())
        $("#panzoom").css('min-height', ($(window).height() - 50) + 'px');
        $("#left_menu").css('height', ($(window).height() - 50) + 'px');

    });

    //图层管理
    function layerManagement() {
        $("#fa_layer_map").removeClass('fa-check-square-o')
        $("#fa_layer_map").removeClass('fa-square-o')
        $("#fa_layer_w_device").removeClass('fa-check-square-o')
        $("#fa_layer_w_device").removeClass('fa-square-o')
        $("#fa_layer_w_pipeline").removeClass('fa-check-square-o')
        $("#fa_layer_w_pipeline").removeClass('fa-square-o')
        $("#fa_layer_w_com").removeClass('fa-check-square-o')
        $("#fa_layer_w_com").removeClass('fa-square-o')
        $("#fa_layer_e_device").removeClass('fa-check-square-o')
        $("#fa_layer_e_device").removeClass('fa-square-o')
        $("#fa_layer_e_com").removeClass('fa-check-square-o')
        $("#fa_layer_e_com").removeClass('fa-square-o')
        var speed = 300;
        if (layer_map == 1) {
            $("#map_section #路径").show(speed);
            $("#fa_layer_map").addClass('fa-check-square-o')
        }
        if (layer_map == 0) {
            $("#map_section #路径").hide(speed);
            $("#fa_layer_map").addClass('fa-square-o')
        }
        if (layer_w_device == 1) {
            $("#map_section #水表").show(speed);

            $("#fa_layer_w_device").addClass('fa-check-square-o')
        }
        if (layer_w_device == 0) {
            $("#map_section #水表").hide(speed);
            $("#fa_layer_w_device").addClass('fa-square-o')
        }
        if (layer_w_pipeline == 1) {
            $("#map_section #水管").show(speed);
            $("#fa_layer_w_pipeline").addClass('fa-check-square-o')
        }
        if (layer_w_pipeline == 0) {
            $("#map_section #水管").hide(speed);
            $("#fa_layer_w_pipeline").addClass('fa-square-o')
        }
        if (layer_w_com == 1) {
            $("#map_section #水表通讯层").show(speed);
            $("#fa_layer_w_com").addClass('fa-check-square-o')
        }
        if (layer_w_com == 0) {
            $("#map_section #水表通讯层").hide(speed);
            $("#fa_layer_w_com").addClass('fa-square-o')
        }
        if (layer_e_device == 1) {
            $("#map_section #电表").show(speed);
            $("#fa_layer_e_device").addClass('fa-check-square-o')
        }
        if (layer_e_device == 0) {
            $("#map_section #电表").hide(speed);
            $("#fa_layer_e_device").addClass('fa-square-o')
        }
        if (layer_e_com == 1) {
            $("#map_section #电表集中器").show(speed);
            $("#fa_layer_e_com").addClass('fa-check-square-o')
        }
        if (layer_e_com == 0) {
            $("#map_section #电表集中器").hide(speed);
            $("#fa_layer_e_com").addClass('fa-square-o')
        }
    }

    /**初始化时间控件*/
    var datetime_option = {
        language: 'zh-CN',
        autoclose: 1, minView: 2,
        format: 'yyyy-mm-dd'
    };
    $('#IntegratedQuery #datetimepicker_begin').datetimepicker(datetime_option);
    $('#IntegratedQuery #datetimepicker_end').datetimepicker(datetime_option);

    $('#More_contrast_table #datetimepicker_begin').datetimepicker(datetime_option);
    $('#More_contrast_table #datetimepicker_end').datetimepicker(datetime_option);

    $('#topology_w_begin_date').datetimepicker(datetime_option);
    $('#topology_w_end_date').datetimepicker(datetime_option);

</script>
</html>
